from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("SDSS Workgroup Install")
    pixmap = "sdss.png"
    sortPriority = 19

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);

    def setGroupSelection(self, comps):
	FermiInstallClass.__init__(self, comps)

        self.showGroups(comps, 
			  [ ("KDE", 1),
			     "GNOME",
                             "Laptop Support"
                          ])

        comps["SDSS"].select()

    def setInstallData(self, id):
	FermiInstallClass.setInstallData(self, id)

        self.setTimezoneInfo( id, "America/Chicago")

	self.setFirewall( id,  enable = 0, policy = 0, trusts = [], ports = "",
                    dhcp = 0, ssh = 0, telnet = 0, smtp = 0, http = 0,
                    ftp = 0)

	self.setAuthentication( id , 
			        1 ,  # useShadow
			        1 ,  # useMD5
                                useKrb5 = 1 ,
                                krb5Realm = "FNAL.GOV",
                                krb5Kdc = "krb-fnal-1.fnal.gov:88,krb-fnal-2.fnal.gov:88,krb-fnal-3.fnal.gov:88,krb-fnal-4.fnal.gov:88,krb-fnal-5.fnal.gov:88",
                                krb5Admin = "krb-fnal-admin.fnal.gov",
                              )

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
